/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
------------------------------------------------------------------------------*/


#ifndef	__PICTJPEGLIBCODEC__
#define	__PICTJPEGLIBCODEC__


		#include "picture/pict_io_codec.h"


namespace GS {

/*
	@short	IJG jpeglib codec.
	@author	Emmanuel Julien (ejulien@gsworks.fr)
*/
struct	PictureJpeglibCodec : public PictureCodec
{
virtual	bool		Load(IO::Handle &, Picture &);
virtual	bool		Save(IO::Handle &, const Picture &);

virtual	const char	*GetName() const { return "IJG"; }
virtual	const char	*GetDesc() const { return "IJG jpeglib read/write codec"; }

virtual	uint		GetCaps() const { return CanRead | CanWrite | WriteLossy | AlphaChannel; }
};

}


#endif	// __PICTJPEGLIBCODEC__
